
package es.ejie.frmk.infraestructura.utilidades.mapeador.converters;

import es.ejie.frmk.infraestructura.utilidades.mapeador.Q70ConverterMapeador;

/**
 * Clase que realiza la conversión de reemplazar un cadena en el texto fuente
 * @author UFRM005
 * @version 1.0
 */
public class Q70replaceConverter implements Q70ConverterMapeador{

	// variables miembro
	
	private Object objInformacion = null;
	
 	// métodos miembro
 	
	/**
	 * Constructor de la clase
	 */
	public Q70replaceConverter() {
		super();
	}
	
	/**
	 * Función que pone la información para la conversión
	 * @see es.ejie.frmk.infraestructura.utilidades.mapeador.Q70ConverterMapeador
	 * */
	public void setConvertInformation(Object newObjInformacion) {
		this.objInformacion = newObjInformacion;	
	}
	
	/**
	 * Función que realiza la conversión
	 * @see org.apache.commons.beanutils.Converter
	 * */
	public Object convert(Class type, Object value) {
		
		// hacer la conversión String..replace(char,char)
		char oldChar;
		char newChar;
		
		String strFuncion = (String) objInformacion;
		String strValor = (String) value;
		
		String strOldChar =  strFuncion.substring(strFuncion.indexOf("(")+1,strFuncion.indexOf(","));
		String strNewChar =  strFuncion.substring(strFuncion.indexOf(",")+1,strFuncion.indexOf(")"));
		oldChar = (strOldChar.toCharArray())[0];
		newChar = (strNewChar.toCharArray())[0];
		
		strValor.replace(oldChar, newChar);
		
			
	return strValor;
	}

	
}
